Page MenuHomeSolus

Snap errors in LXD due to bad AppArmor profiles
Closed, WontfixPublic

Description

I recently opened a bug concerning Apparmor profiles errors with snaps (https://dev.getsol.us/T8917). The ticket was closed because AppArmor profiles are not maintained by Solus.

So I opened a bug with the LXD project (https://github.com/lxc/lxd/issues/7239) and they mentioned the problem was due to an old version of snapd. I tried the fix they proposed (install snapd with a snap command) but the fix is not working anymore and LXD is broken on Solus.

Currently, Solus version of snapd is 2.39.3 and the current official version of snapd is 2.44.3. Would it be possible to update the Solus snapd package to see if this solves the problem?

Event Timeline

clauded created this task.May 18 2020, 5:06 PM
Girtablulu edited projects, added Software; removed Lacks Project.May 18 2020, 5:11 PM
Girtablulu added a subscriber: Girtablulu.

we cant update snapd because of a systemd change which breaks tons of other programs, see more in this task https://dev.getsol.us/T8609.

sadly you have to wait till the software did fix the issues than we can update snapd

JoshStrobl closed this task as Wontfix.May 18 2020, 5:51 PM